/*
 *
 * Copyright (C) 2002 George Staikos <staikos@kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 */

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "mainwindow.h"
#include <kdetv_version.h>

int main(int argc, char **argv)
{
    KAboutData about("kdetv", "kdetv", ki18n("kdetv"),
                     KDETV_VERSION,
                     ki18n("kdetv: TV for KDE"),
                     KAboutData::License_GPL,
                     ki18n("(c) 2002-2005 The kdetv Developers"), KLocalizedString(),
                     "http://www.kdetv.org/");

    about.addAuthor(ki18n("Dirk Ziegelmeier"),  ki18n("Developer and maintainer"),           "dziegel@gmx.de");
    about.addAuthor(ki18n("George Staikos"),    ki18n("Original author"),                    "staikos@kde.org");
    about.addAuthor(ki18n("Richard Moore"),     ki18n("GUI design, plugins"),                "rich@kde.org");
    about.addAuthor(ki18n("Kevin Hessels"),     ki18n("Configuration dialog"),               "khessels@shaw.ca");
    about.addAuthor(ki18n("Stefan Hellwig"),    ki18n("Webmaster, developer"),               "stefan@stefanhellwig.de");
    about.addAuthor(ki18n("Zsolt Rizsanyi"),    ki18n("Infrared remote support, developer"), "rizsanyi@users.sourceforge.net");
    about.addAuthor(ki18n("Dawit Alemayehu"),   ki18n("Developer"),                          "adawit@kde.org");
    about.addCredit(ki18n("Bill Crowell"),      ki18n("Donation of a DVB-C and DVB-T card"), "bill@crowellsystems.com");
    about.addCredit(ki18n("Frank Pieczynski"),  ki18n("Extensive testing"),                  "pieczy@web.de");
    about.addCredit(ki18n("Koos Vriezen"),      ki18n("V4L plugin fixes"),                   "koos.vriezen@xs4all.nl");
    about.addCredit(ki18n("Andras Mantia"),     ki18n("Ideas and fixes"),                    "amantia@kde.org");
    about.addCredit(ki18n("Hans-Peter Jansen"), ki18n("Ideas and fixes"),                    "hpj@urpla.net");

    KCmdLineArgs::init(argc, argv, &about);
    KApplication a;
//    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

    MainWindow* mw = new MainWindow();
    mw->setCaption(i18n("kdetv"));

    a.setTopWidget(mw);
    mw->show();

    int retval = a.exec();
    return retval;
}

